# Filius-Komplexaufgabe

*Dateiname: filius-komplexaufgabe.md*

---

![Optionaler Alternativtext, falls sich das Bild nicht laden lässt](bilder/filius.jpg)


Erstellt eine neue Filius-Datei nach folgendem Aufbau:

![Abbildung](bilder/filius-komplexaufgabe-aufbau.PNG)

Wie du siehst, ist dieser Aufbau schon deutlich komplizierter.
Bisher bewegten wir uns immer in einem kleinen Netzwerk. Wir haben jedoch schon besprochen, dass der **Router** (oder auch **Gateway**) ermöglicht, sich mit anderen Netzwerken zu verbinden. In Heimnetzwerken erhält er meist die erste mögliche IP-Adresse (*Filius-Standard: 192.168.0.1*).

In dem nun erstellten Aufbau befinden sich jedoch drei Netzwerke:
- Heimnetzwerk
- Netzwerk von Google, bei dem der DNS zur Verfügung steht
- der Web- und Mail-Server der Firma Filius

i>Der **Vermittlungsrechner** übernimmt dabei die Rolle der verschiedenen Router.
Wenn du einen Doppelklick auf dem Vermittlungsrechner tätigst, stellst du fest, dass du die *IP-Adressen der jeweiligen Router* konfigurieren kannst.
Beachte, dass sich die drei Netzwerke in Ihren Netzwerk-Adressen unterscheiden müssen.

w>Kurzer Rückblick:<br />Aus der **IP-Adresse** 192.168.0.10 mit der **Subnetzmaske** 255.255.255.0 ergibt sich die **Netzwerkadresse** 192.168.0.0 und (256-2) mögliche **Client-Adressen**.

Damit die Rechner wissen, über welches Gerät sie sich mit anderen Netzwerken verbinden können, muss bei den jeweiligen PCs die Gateway-Adresse konfiguriert werden.

![Gateway](bilder/filius-komplexaufgabe-abb1.png)

s>Hinweise
- Nutze einen Vermittlungsrechner und stelle die Anzahl der Schnittstellen auf 3 (dies simuliert unsere verschiedenen Router)
- mit einem Doppelklick auf den Vermittlungsrechner kannst du die IP-Adressen der jeweiligen Router konfigurieren
- gib dem Router jeweils die IP-Adresse *.*.*.1
- Achte darauf, dass der Gateway (Router-IP) bei den Einstellungen der Rechnern korrekt eingetragen ist (selbe Stelle wie DNS-Server)
---------
?>Solltest du Hilfe benötigen, kann dir folgendes [PDF-Dokument](https://www.lernsoftware-filius.de/downloads/Einfuehrung_Filius.pdf) auf Seite 12 f. weiterhelfen.

