# Was ist Markdown

*Dateiname: markdown_formatierung.md*

Markdown ist eine Möglichkeit, recht einfach webseitenähnliche Konstrukte zu bilden. Primär wird es zur Dokumentation auf GitHub oder zur Beschreibung wissenschaftlicher Projekte genutzt.
Schaue dir zum Vergleich die entsprechenden Dateien im Texteditor und im Browser an.

```
Manchmal kann es sein, dass der Cache des Webbrowsers verhindert,
dass du deine Änderungen in der Webseitenansicht siehst.
Drücke dazu folgende Kombination:
STRG + Shift + ENTF
```

## Formatierungsmöglichkeiten mit Markdown


1. Anstrich
2. Anstrich

```
1. Anstrich
2. Anstrich
```

- Stichpunkte
  - Unterstichpunkt
    - noch weiter drunter
    
```
- Stichpunkte
  - Unterstichpunkt
    - noch weiter drunter
```


### Textformatierung
**Fett**

```
**Fett**
```


*Kursiv*

```
*Kursiv*
```

### Inlinecode

Beispiel für `Inlinecode`.

```
Beispiel für `Inlinecode`.
```


### Codeblock

```
Beispiel für einen Codeblock.
```


### Bilder
![Optionaler Alternativtext](https://upload.wikimedia.org/wikipedia/commons/2/2f/Google_2015_logo.svg)

```
![Optionaler Alternativtext](https://upload.wikimedia.org/wikipedia/commons/2/2f/Google_2015_logo.svg)

oder

![Optionaler Alternativtext, falls sich das Bild nicht laden lässt](bilder/google.jpg)
```

### Link
[Anzeigetext für Link](http://www.sampleurl.com)

```
[Anzeigetext für Link](http://www.sampleurl.com)
```


## Didaktische Steuerelemente

Mit diesen Tags wird der nachstehende Absatz in einem entsprechendem Block dargestellt:

t> Aufgabe t>

s> Geschafft s>

d> danger d>

i> Informationstext i>

w> Achtung w>

!> Vorsicht !>

?> Hilfetext ?>

## Tabellen

|Spalte A|Spalte B|Spalte C|Spalte D|Spalte E|
|---|---|---|---|---|
| 1 |   |   |   |   |
|   | 2 |   |   |   |
|   |   | 3 |   |   |
|   |   |   | 4 |   |
|   |   |   |   | 5 |



```
|   |   |   |   |   |
|---|---|---|---|---|
|   |   |   |   |   |
|   |   |   |   |   |
|   |   |   |   |   |
```

## Youtube-Videos ohne eingeblendete weitere Informationen (Videos, Kommentare, ...):

Dazu gibt es verschiedene Möglichkeiten das Video aufzurufen:

https://video.yak9.de/#https://www.youtube.com/watch?v=bTqVqk7FSmY

https://video.yak9.de/#bTqVqk7FSmY

https://video.yak9.de/#https://vimeo.com/39050404

https://video.yak9.de/#39050404