# Protkolle in Computernetzwerken

*Dateiname: protokolle.md*

---

## Aufbau eines Protokolls


![Abstraktion Tür](https://cdn.pixabay.com/photo/2014/04/02/17/04/door-307834_1280.png)


t>**Aufgabe:** Überlegt Euch ein Verfahren um mit ein oder zwei unter einer Tür verlaufenden Schnüre ohne weitere Hilfsmittel und ohne zu sprechen ein Wort zu kommunizieren. Übertragen werden soll ein kurzer Satz (Vorgabe durch den Lehrer) und die Antwort darauf.
Notiert alle Vereinbarungen, die ihr mit eurem Partner treffen müsst, damit die Kommunikation gelingt.

*Zeit: 25 min*

*Lösung*

**Vereinbarungen**

- ...

---

### Beispiele für Protokolle im Alltag

t>**Aufgabe:** Welche Protokolle finden sich im Alltag wieder?

[Hilfe](https://de.wikipedia.org/wiki/Protokoll)

*Lösung*

- ...

---

## Bekannte Protkolle im Netzwerk

In Computernetzwerken werden für verschiedene Dienste teilweise mehrere Protokolle benötigt. Einige Protkolle solltest du kennen.

t>**Aufgabe:** Welche Bedeutung haben die folgenden 3 Protokolle? Notiere.

HTTP(S) - 
SMTP - 
POP3 - 
TCP - 
IP - 

*Hilfen*

- [TCP](https://de.wikipedia.org/wiki/Transmission_Control_Protocol)
- [TCP ausführlich](https://www.ionos.de/digitalguide/server/knowhow/tcp-vorgestellt/)
- [IP](https://de.wikipedia.org/wiki/Internet_Protocol)
- [IP ausführlich](https://www.ionos.de/digitalguide/server/knowhow/was-ist-das-internet-protocol-definition-von-ip-co/)


---

## HTTP-Protokoll

t>**Aufgabe:** Erstelle ein funktionierendes Netzwerk in Filius mit einem Webserver. Diese Webseite soll von einem Rechner in einem anderen Netzwerk aufgerufen werden. Beobachte anschließend die Kommunikation zwischen dem Rechner mit dem Webserver und dem Rechner mit dem Webbrowser. Dabei werden im HTTP bestimmte Protokoll-Befehle verwendet. Finde heraus, welche Befehle genutzt werden und recherchiere anschließend, welche Bedeutung sie haben.

*Lösung*

Befehl | Bedeutung
-------|----------
200    | ...
