# Router - das Hirn des Netzwerks

*Dateiname: router.md*

---

<img src="bilder/router.jpg" width="250" />

### Du hast noch nie gesehen, wie die Oberfläche eines Routers aussieht?

Die Oberfläche eines Routers ruft man auf, in dem man die entsprechende **IP-Adresse** (bspw. 192.168.178.1) oder eine standardisierte **URL** (bspw. "fritz.box") aufruft. Dann wird man zur Eingabe eines Passwortes aufgefordert.

i>Die IP-Adresse kann man sich als Art Telefonnummer eines Gerätes vorstellen. Die URL ist eine übliche Form der Webadresse ( bspw. www.manos-dresden.de). Darüber erfährst du später mehr.

**Beispiele für Router-Software**

- [TP-Link](https://www.tp-link.com/de/support/emulator/)
- [Netgear](https://tools.netgear.com/landing/gui/security/fvs318v3/simulators/fvs318v3v3.0_19/default.htm)
- [weiterführende Informationen zu AVM](https://avm.de/)

t>**Aufgabe**<br />Notiere verschiedene Einstellmöglichkeiten bei einem Router. Was würdest du einstellen, damit der Router "sicher" erscheint?

**Zeit: 15 min**


### Aufgaben eines Routers
- Modem (Verbindung des Heimnetzwerks mit dem Internet)
- Router (Zuordnung von Daten an entsprechende Endgeräte=
- Switch
- ...


## Schritt 5: Weitere Geräte in einem Netzwerk anschließen

t>**Aufgabe**<br />Wie kann man weitere Geräte im Netzwerk einbinden? Was sind das für abgebildete Gegenstände?

*Lösung*

...

### Netzwerk - nur mit einem Medium
<img src="bilder/switch.png" width="200" />
<img src="bilder/netzwerkkarte.png" width="200" />
<img src="bilder/wlan_symbol.png" width="150" />
<img src="bilder/netzwerkkabel.jpg" width="150" />



### Datenübertragungsmedien

**Kabelgebundene Übertragung**

...

**Drahtlose Übertragung**

...