# Computernetzwerke

*Dateiname: index.md*

---

Computernetzwerke sind vermutlich das wichtigste Themengebiet in der heutigen IT-Welt. Viele Sachverhalte unseres Alltags wären ohne die Vernetzung von Computern nicht mehr realisierbar.
Dabei ist natürlich das größte Computernetzwerk - das **Internet** - hervorzugeheben.

![Netzwerk Welt](bilder/welt_vernetzung.jpg)

?>Wie würde dein Alltag ohne Internet aussehen?

Sicher gilt auch hier die alte Weisheit **"ohne diese Sache- hätten wir diese Probleme gar nicht"**.

Doch die Funktionalität des Internets hat die Entwicklung stark voran gebracht.

Früher wurden Computernetzwerke für militärische Zwecke genutzt. Das heutige Internet entstand aus dem Netzwerk ARPA, welches 1969 in den USA entstand. Ziel war es, Informationen dezentral auszutauschen.

Nerd-Fact: Die erste Webseite der Welt wurde 1993 in Cern (Schweiz) veröffentlicht und sah [so](http://info.cern.ch/hypertext/WWW/TheProject.html) aus.

Um dieses größte Computernetzwerk der Welt bilden sich oft große Mythen, welche teilweise sogar in Kinderbüchern wie *"Der Tag, an dem die Oma das Internet kaputt gemacht hat"* thematisiert werden.

?>Geht das überhaupt? Nein!

Denn das Internet ist der Verbund kleiner lokaler Netzwerke, so wie unsere Schule oder das Heimnetzwerk bei dir zu Hause eines ist.

?>Wie groß ist das Internet?

Auf diese Frage gibt es keine genaue Antwort, da unfassbar viele Geräte netzwerkfähig sind. Was früher noch das Alleinstellungsmerkmal des Computers war, wird heute auf Smartphones, Tablets, Fernseher, Spielekonsolen, Saugroboter, Kühlschränke, Babyphones, ... ausgeweitet.

- Ist das Internet kontrollierbar?
- Darf man da alles machen?
- Gelten da Regeln?
- Gelten da Normen?
- ...

?>Warum geht es in dieser Klassenstufe im Themengebiet Netzwerke?

Ziel kann es nicht sein, alle Abläufe im Internet zu verstehen. Jedoch sollst du nachvollziehen können, welche Abläufe sind, um eine Internetseite abzurufen oder eine e-Mail zu versenden, zu erkennen welche Rechtsvorschriften und Normen es im Internet gibt (ja, es gibt sogar einen Hacker-Ethos).
