# Kommunikationsarten

![Banner Kommunikationsarten](bilder/kommunikation.jpg)

Wenn das Internet einen Fortschritt mit sich brachte, dann ist es der im Bereich der Kommunikation. Nie war es einfacher, an Informationen von "weit weg" zu gelangen.

Früher hieß es, wir sehen uns in 3 Wochen am Donnerstag 16:00 Uhr. Heute wird der Treffpunkt auch nochmal 10 Minuten vorher verschoben. Die Art der Kommunikation hat einen riesigen Wandel hinter sich. Grundsätzlich unterscheidet man in zwei Arten der Kommunikation - in **synchrone und asynchrone Kommunikation**. Beide haben ihre Daseinsberechtigung und werden ewig weiter Bestand haben.

Insbesondere die Vorteile der synchronen Kommunikation haben wir in Zeiten von Corona zu nutzen gewusst - Videotelefonie, Chats etc. Doch es war euch nicht immer möglich, zum passenden Zeitpunkt am PC zu sitzen. Daher fand ein großer Teil der Kommunikation über asychrone Wege (Lernplan, Dateiablage, Forum etc.) statt.

s>Wichtig ist, die **Form der Kommunkation** richtig zu wählen - sonst kommt es schnell zu **Missverständnissen**.

## Synchrone Kommunikation

- zeitgleich
- Warten und Blockieren der Kommunikation
- Empfänger muss aktiv sein

t>**Aufgabe**<br />Welche Vor- und Nachteile hat die synchrone Kommunikation?

*Lösung*

...

## Asynchrone Kommunikation

- zeitversetzt
- Kommunikation ohne Blockieren
- auf Antwort muss gewartet werden

t>**Aufgabe**<br />Welche Vor- und Nachteile hat die asynchrone Kommunikation?

*Lösung*

...


## Übung

t>Gib an, ob es sich bei dem Kommunikationsmittel um eine synchrone und asynchrone Kommunikation handelt und bestimme die Anzahl möglicher Adressaten.

Kommunikationsmittel| synchron | asynchrone | Adressaten
------- | -------- | -------- | --------
Skype | | | 
Diskussions-Foren | | | 
Facebook-Seiten | | | 
Instagram | | | 
Whatsapp | | |  
Webseiten | | |  
SMS | | | 
E-Mail | | | 
Web-Blog | | | 

t>Ordne den Fallbeispielen deine persönliche Wahl der Kommunikationsform zu und begründe deine Entscheidung kurz.

Beispiel | synchron | asynchron | Begründung
-------- | -------- | -------- | -------- 
Du möchtest deinem Lehrer mitteilen, dass du krank bist und deinen Vortrag nächste Woche nicht halten kannst. | | |
Du warst gestern in einem spannenden Kinofilm und möchtest deinen besten Freund davon berichten. | | |
Du erhieltst eine traurige Nachricht und musst getröstet werden. | | |
Du möchtest die Wartezeit an der Haltestelle des Buses überbrücken. | | |
In Voraussicht auf dein Praktikum nächstes Halbjahr möchtest du dich bei einem Bekannten darüber informieren. | | |