# Endlich alles anschließen ...

*Dateiname: technische_voraussetzungen.md*

---

## Schritt 3: Unboxing your "Starter-Paket"

<img src="bilder/router.jpg" width="250" />
<img src="bilder/netzwerkkabel.jpg" width="150" />
<img src="bilder/tae_stecker.jpg" width="150" />
<img src="bilder/router_netzteil.jpg" width="150" />

### Inhalt des Starterpakets
1. ...




## Endkundenanschluss

Sicher hast du auch im Rahmen der Digitalisierung davon gehört, dass es unterschiedliche Internetanschlüsse gibt. Sogenannte **DSL**- und **Glasfaser**-Anschlüsse. Herkömmliche DSL-Anschlüsse funktionieren über ein Kupferkabel. Mit verschiedenen Methoden kann man damit Übertragungsraten von 50 Mbit/s erreichen.
Glasfaserkabel bieten durch die Nutzung der Lichtgeschwindigkeit mit zu 1000 Mbit/s.

Unterschiedliche Verfahren benötigen unterschiedliche Hardware:

<img src="bilder/glasfaser_steckdose.jpg" height="200" />
<img src="bilder/tae_dose.jpg" height="200" />

- TAE-Dosen werden für DSL benötigt
- OTO-Dosen sind für den Glasfaseranschluss relevant

### Glasfaseranschluss
<iframe width="560" height="315" src="https://www.youtube.com/embed/tQvbQZOKsVY" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

### Verbinden mit dem Router
- per WLAN oder LAN möglich
- Webbrowser starten und IP-Adresse oder Routername eingeben (steht im Schriftstück)

<img src="bilder/router_wlan_zugangsdaten.png" height="150" />

*Quelle: https://avm.de/service/wissensdatenbank/dok/FRITZ-Box-6490-Cable/244_WLAN-Verbindung-zur-FRITZ-Box-einrichten/*

## Schritt 4: Zugang zum Internet herstellen

### Verbindung mit dem Internet herstellen
<img src="bilder/provider_zugangsdaten.jpg" height="320" />

*Quelle: https://compeff-blog.de/2020/telekom-t-online-dsl-zugangsdatenzettel-wie-sieht-der-zu-suchende-zettel-aus-zugangsdaten-einwahldaten/*

Diese Zugangsdaten müssen beim ersten Einrichten des Routers eingegeben werden. Von diesem Zeitpunkt an kann der Router als zentrales Verbindungselement mit dem Internet genutzt werden.
